Doomsday Engine - Feature #1991

Qt 5.5 as minimum requirement for GUI, Qt 5.x for non-GUI build
2015-03-10 08:27 - skyjake

Status: Closed Start date: 2015-03-10
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Cleanup

Target version: 2.0 — Home Ul & Packages

Description

Qt 4 is nowdays in maintenance mode and is not being actively developed any more. Qt 5 offers better APls and more up-to-date
functionality, e.g., QOpenGLWindow. We should drop support for Qt 4.7 and set the minimum at Qt 5.6 (LTS).

This would also simplify CMake build configuration, since it would not be necessary to support for Qt 4 and 5, which have different
CMake configuration mechanisms (Qt 4 modules come with CMake, Qt 5 config packages come with the Qt SDK).

The downside is that older operating systems typically do not have the latest Qt 5 binaries (e.g., old Linux distros).

Related issues:

Related to Feature #1794: Mobile apps and shared client/server code (more mod... Closed 2014-05-02
Related to Feature #1900: OpenGL 3.3 Core Profile Closed 2014-11-18
Related to Feature #1675: Switch to new Qt 5.4+ OpenGL APIs (from QGLWidget) Closed 2013-10-24
History

#1 - 2015-03-21 22:54 - skyjake

- Related to Feature #1794: Mobile apps and shared client/server code (more modular code structure) added

#2 - 2015-04-30 17:34 - skyjake
cmake-build supports configuration for both Qt 5 and Qt 4.

#3 - 2015-05-03 14:31 - skyjake

- Target version changed from 42 to 2.0 — Home Ul & Packages

#4 - 2015-06-06 09:57 - skyjake
- Related to Feature #1900: OpenGL 3.3 Core Profile added

#5 - 2015-11-03 09:19 - skyjake
- % Done changed from 0 to 90

The only thing missing here is to add checks that say that Qt 4 builds are not supported; CMake should show an error message.

#6 - 2016-02-24 09:53 - skyjake

- Subject changed from Qt 5 as minimum requirement to Qt 5.6 as minimum requirement

Qt 5.6 is (will be) the new LTS release, which makes it a good minimum requirement going forward.

#7 - 2016-02-24 09:54 - skyjake

- Description updated

#8 - 2016-04-26 10:05 - skyjake

- Status changed from New to In Progress

#9 - 2016-05-13 13:53 - skyjake

- Priority changed from Normal to Low
#10 - 2016-07-06 00:09 - skyjake

- Assignee changed from Deng Team to skyjake

#11 - 2016-07-19 13:06 - skyjake

- Status changed from In Progress to Progressed

#12 - 2016-07-23 22:38 - skyjake
Ubuntu 16.04 LTS has Qt 5.5, Raspbian Jessie has 5.3.

#13 - 2016-08-07 08:52 - skyjake
- Target version changed from 2.0 — Home Ul & Packages to 2.1 (Late 2018)

#14 - 2016-10-03 09:49 - skyjake
- Related to Feature #1675: Switch to new Qt 5.4+ OpenGL APlIs (from QGLWidget) added

#15 - 2016-11-28 09:30 - skyjake

- Subject changed from Qt 5.6 as minimum requirement to Qt 5.5 as minimum requirement for GUI, Qt 5.x for non-GUI build
- Status changed from Progressed to Closed

- Priority changed from Low to Normal

- Target version changed from 2.1 (Late 2018) to 2.0 — Home Ul & Packages

- % Done changed from 90 to 100

#16 - 2017-02-25 18:06 - skyjake

- Category changed from Enhancement to Cleanup
